AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- AbstractInteractionsProvider
  - AWSLexProvider

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _config

### Accessors

- options

### Methods

- configure
- getCategory
- getProviderName
- onComplete
- sendMessage

## Constructors

### constructor

- new AbstractInteractionsProvider(options?: InteractionsOptions): AbstractInteractionsProvider

- - Defined in interactions/src/Providers/InteractionsProvider.ts:22

  #### Parameters

  - ##### Default value options: InteractionsOptions = {}

  #### Returns AbstractInteractionsProvider

## Properties

### Protected _config

_config: InteractionsOptions

- Defined in interactions/src/Providers/InteractionsProvider.ts:22

## Accessors

### Protected options

options:

- Defined in interactions/src/Providers/InteractionsProvider.ts:40

## Methods

### configure

- configure(config?: InteractionsOptions): InteractionsOptions

- - Defined in interactions/src/Providers/InteractionsProvider.ts:28

  #### Parameters

  - ##### Default value config: InteractionsOptions = {}

  #### Returns InteractionsOptions

### getCategory

- getCategory(): string

- - Defined in interactions/src/Providers/InteractionsProvider.ts:36

  #### Returns string

### Abstract getProviderName

- getProviderName(): string

- - Defined in interactions/src/Providers/InteractionsProvider.ts:38

  #### Returns string

### Abstract onComplete

- onComplete(botname: string, callback: function): any

- - Defined in interactions/src/Providers/InteractionsProvider.ts:44

  #### Parameters

  - ##### botname: string

  - ##### callback: function

    - - (err: any, confirmation: InteractionsResponse): void

      - #### Parameters

        - ##### err: any

        - ##### confirmation: InteractionsResponse

        #### Returns void

  #### Returns any

### Abstract sendMessage

- sendMessage(botname: string, message: string | Object): Promise<any>

- - Defined in interactions/src/Providers/InteractionsProvider.ts:42

  #### Parameters

  - ##### botname: string

  - ##### message: string | Object

  #### Returns Promise<any>